// toShare sign.js
'use strict';

const inputAccount = document.getElementById('inputAccount');
const buttonSignin = document.getElementById('buttonSignin');
localStorage.setItem('currentUserId', 0);

async function onButtonSigninClick(){
	try{
		await atsUsersTable.restGet(inputAccount.value);
		localStorage.setItem('currentUserId', atsUsersTable.data[0].user_id);
		localStorage.setItem('currentUserName', atsUsersTable.data[0].user_name);
		localStorage.setItem('currentUserDesc', atsUsersTable.data[0].user_desc);
		location.href =  sessionStorage.getItem('referrer') ? sessionStorage.getItem('referrer') : '../';
	}catch{
		confirm('サインインできません。');
	}
}

inputAccount.addEventListener('input', function (){
	if(inputAccount.value.length < 1){
		buttonSignin.disabled = true;
	}else{
		buttonSignin.disabled = false;
	}
});

inputAccount.addEventListener('keyup', function (e){
	if(e.key=='Enter'){
		onButtonSigninClick();
	}
});

buttonSignin.addEventListener('click', onButtonSigninClick);

atsConfiguration.restGet(['Color style', 'Account Placeholder']).then(()=>{
	const linkCssStyle = document.createElement('link');
	const cssFileName = atsConfiguration.valueFromKey('Color style')
	const cssFileUrl = `${location.origin}/ats/${cssFileName}.css`;
	linkCssStyle.rel = 'stylesheet';
	linkCssStyle.type = 'text/css';
	linkCssStyle.href = cssFileUrl;
	document.head.appendChild(linkCssStyle);
	inputAccount.placeholder = atsConfiguration.valueFromKey('Account Placeholder');
});

